]> git.madduck.net Git - code/vcsh.git/blobdiff - vcsh

madduck's git repository

Every one of the projects in this repository is available at the canonical URL git://git.madduck.net/madduck/pub/<projectpath> — see each project's metadata for the exact URL.

All patches and comments are welcome. Please squash your changes to logical commits before using git-format-patch and git-send-email to patches@git.madduck.net. If you'd read over the Git project's submission guidelines and adhered to them, I'd be especially grateful.

SSH access, as well as push access can be individually arranged.

If you use my repositories frequently, consider adding the following snippet to ~/.gitconfig and using the third clone URL listed for each project:

[url "git://git.madduck.net/madduck/"]
  insteadOf = madduck:

Remove `use` and `exit`
[code/vcsh.git] / vcsh
diff --git a/vcsh b/vcsh
index c05210d2b67e83e0ec43c5972748d747fcc96232..a38e55f695a78b7cd0f36fa2bfc2c470755961d4 100755 (executable)
--- a/vcsh
+++ b/vcsh
@@ -5,14 +5,6 @@
 [ -z "$VCSH_BASE" ]       && VCSH_BASE="$XDG_CONFIG_HOME/vcsh/repo.d"
 
 SELF=$(basename $0)
-if [ "$SELF" = 'bash' ] ||
-   [ "$SELF" = 'dash' ] ||
-   [ "$SELF" = 'sh' ] ||
-   [ "$SELF" = 'zsh' ]; then
-       SELF='vcsh'
-       VCSH_SOURCED=1
-fi
-
 
 help() {
        echo "usage: $SELF <args>
@@ -22,7 +14,6 @@ help() {
    help                 Display this help text
    delete               Delete an existing repository
    enter                Enter repository; spawn new $SHELL
-   exit                 Exit repository; unset ENV
    init <repo>          Initialize a new repository
    list                 List all repositories
    run <repo> \\
@@ -31,7 +22,6 @@ help() {
    seed-gitignore \\
    <repo>               Seed .gitignore.d/<repo> from git ls-files
    setup                Set up repository with recommended settings
-   use <repo>           Use repository; set ENV
 
    <repo> <git command> Special command that allows you to run git commands
                         directly without having to type so much ;)" >&2
@@ -69,12 +59,6 @@ init() {
        verbose "init() end"
 }
 
-leave() {
-       unset GIT_DIR
-       unset GIT_WORK_TREE
-       unset VCSH_DIRECTORY
-}
-
 use() {
        verbose "use() begin"
        if [ ! -d "$GIT_DIR" ]; then
@@ -101,8 +85,7 @@ elif [ "$1" = 'delete' ] ||
      [ "$1" = 'init' ] ||
      [ "$1" = 'run' ] ||
      [ "$1" = 'seed-gitignore' ] ||
-     [ "$1" = 'setup' ] ||
-     [ "$1" = 'use' ]; then
+     [ "$1" = 'setup' ]; then
        [ -z $2 ] && echo "$SELF $1: error: please specify repository to work on" && return 1
        export VCSH_COMMAND="$1"
        export VCSH_REPO_NAME="$2"
@@ -112,8 +95,7 @@ elif [ "$1" = 'delete' ] ||
        if [ "$VCSH_COMMAND" = 'run' ]; then
                [ -z "$VCSH_EXTERNAL_COMMAND" ] && echo "$SELF $1 $2: error: please specify a command" && return 1
        fi
-elif [ "$1" = 'exit' ] ||
-     [ "$1" = 'help' ] ||
+elif [ "$1" = 'help' ] ||
      [ "$1" = 'list' ]; then
        export VCSH_COMMAND="$1"
 else
@@ -158,7 +140,6 @@ if [ "$VCSH_COMMAND" = 'clone' ]; then
                echo "  Once this situation has been resolved, run 'vcsh run <foo> git pull' to finish cloning.\n" &&
                return 3
        git merge origin/master
-#      use || return $?
        verbose "clone end"
 
 #elif [ "$VCSH_COMMAND" = 'help' ] || [ "$#" -eq 0 ]; then
@@ -191,25 +172,11 @@ elif [ "$VCSH_COMMAND" = 'enter' ]; then
        verbose "enter begin"
        use || return $?
        $SHELL
-       leave
        verbose "enter end"
 
-elif [ "$VCSH_COMMAND" = 'exit' ]; then
-       verbose "exit begin"
-#      if [ -n "$ZSH_VERSION" ] && [ "$VCSH_NO_IGNORE_EOF" = '1' ]; then
-#              unset VCSH_NO_IGNORE_EOF
-#              setopt NO_IGNORE_EOF
-#      fi
-       [ -z "$VCSH_SOURCED" ] && echo "$SELF $VCSH_COMMAND: You need to source vcsh if you want to run in this mode" && return 10
-       leave
-#      [ -n "$ZSH_VERSION" ] && [ "$USER" = richih ] && buildPS1
-       verbose "exit end"
-       return 0
-
 elif [ "$VCSH_COMMAND" = 'init' ]; then
        verbose "init begin"
        init
-#      use || return $?
        verbose "init end"
 
 elif [ "$VCSH_COMMAND" = 'list' ]; then
@@ -223,7 +190,6 @@ elif [ "$VCSH_COMMAND" = 'run' ]; then
        verbose "run begin"
        use || return $?
        $VCSH_EXTERNAL_COMMAND
-       leave
        verbose "run end"
 
 elif [ "$VCSH_COMMAND" = 'seed-gitignore' ]; then
@@ -265,28 +231,8 @@ elif [ "$VCSH_COMMAND" = 'setup' ]; then
        verbose "seed-gitignore begin"
        use   || return $?
        setup || return $?
-       leave
        verbose "seed-gitignore end"
 
-elif [ "$VCSH_COMMAND" = 'use' ]; then
-       verbose "use begin"
-#      if [ -n "$ZSH_VERSION" ]; then
-#              if [ -o NO_IGNORE_EOF ]; then
-#                      export VCSH_NO_IGNORE_EOF=1
-#                      setopt IGNORE_EOF
-#              fi
-#              vcsh_exit() {
-#                      vcsh exit;
-#                      zle reset-prompt;
-#              }
-#              zle -N vcsh_exit
-#              bindkey '^d' 'vcsh_exit'
-#      fi
-       [ -z "$VCSH_SOURCED" ] && echo "$SELF $VCSH_COMMAND: You need to source vcsh if you want to run in this mode" && return 10
-       use || return $?
-#      [ -n "$ZSH_VERSION" ] && [ "$USER" = richih ] && buildPS1
-       verbose "use end"
-
 else
        verbose "defaulting to calling help()"
        help